# Record Class SyTextLinePositioned

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.text.SyTextLinePositioned

Record Components:
  `y` - The y position
  `textLineNumber` - The line number
  `textLine` - The line

public record SyTextLinePositioned(int y, SyTextLineNumber textLineNumber, SyTextLineMeasuredType textLine) extends Record
A positioned text line produced from a text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyTextLinePositioned(int y, SyTextLineNumber textLineNumber, SyTextLineMeasuredType textLine)`
  A positioned text line produced from a text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `text()`
  `SyTextDirection`
  `textDirection()`
  `SyTextLineMeasuredType`
  `textLine()`
  Returns the value of the `textLine` record component.
  `SyTextLineNumber`
  `textLineNumber()`
  Returns the value of the `textLineNumber` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `y()`
  Returns the value of the `y` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyTextLinePositioned

    public SyTextLinePositioned(int y, SyTextLineNumber textLineNumber, SyTextLineMeasuredType textLine)
    A positioned text line produced from a text.
    Parameters:
      `y` - The y position
      `textLineNumber` - The line number
      `textLine` - The line

- ## Method Details

  - ### textDirection

    public SyTextDirection textDirection()
    Returns:
      The text direction

  - ### text

    public String text()
    Returns:
      The text

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### y

    public int y()
    Returns the value of the `y` record component.
    Returns:
      the value of the `y` record component

  - ### textLineNumber

    public SyTextLineNumber textLineNumber()
    Returns the value of the `textLineNumber` record component.
    Returns:
      the value of the `textLineNumber` record component

  - ### textLine

    public SyTextLineMeasuredType textLine()
    Returns the value of the `textLine` record component.
    Returns:
      the value of the `textLine` record component